Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class JDBCFetchConfigurationImpl.JDBCConfigurationState

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.JDBCFetchConfigurationImpl.JDBCConfigurationState

All Implemented Interfaces:
  Serializable

Enclosing class:
  JDBCFetchConfigurationImpl

    protected static class JDBCFetchConfigurationImpl.JDBCConfigurationState

extends Object
implements Serializable

Configurable JDBC state shared throughout a traversal chain.

See Also:
  Serialized Form

Field Summary
`int` | `direction`
`int` | `eagerMode`
`Set<String>` | `fetchInnerJoins`
`boolean` | `ignoreDfgForFkSelect`
`int` | `isolationLevel`
`Set<String>` | `joins`
`int` | `size`
`int` | `subclassMode`
`int` | `syntax`
`int` | `type`

Constructor Summary
`protected` | `JDBCFetchConfigurationImpl.JDBCConfigurationState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eagerMode

    public int eagerMode

### subclassMode

    public int subclassMode

### type

    public int type

### direction

    public int direction

### size

    public int size

### syntax

    public int syntax

### joins

    public Set<String> joins

### fetchInnerJoins

    public Set<String> fetchInnerJoins

### isolationLevel

    public int isolationLevel

### ignoreDfgForFkSelect

    public boolean ignoreDfgForFkSelect

Constructor Detail

### JDBCFetchConfigurationImpl.JDBCConfigurationState

    protected JDBCFetchConfigurationImpl.JDBCConfigurationState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.